Subject: bug#12098: How to trap errors in man?

From: Reuben Thomas <[email-masked]>
Date: Wed, 1 Aug 2012 12:11:50 +0100

On 1 August 2012 09:23, Juri Linkov <[email-masked]> wrote:
>
> You are right, the largest man page `man bash' takes just 2 sec to format,
> so perhaps it makes no sense to run the man command asynchronously nowadays.

I would certainly take that view if it were I who had to maintain the code!

> I don't know if it's possible with lack of multi-threading
> to yield to the command loop while waiting for the process output.
> But with the following patch you can run `man' synchronously
> by using just `(let ((Man-async nil)) (man "bash"))' when its
> default value is not nil.

That looks great if the patch were installed.

-- 
http://rrt.sc3d.org